Seminario的安装过程

发布时间:2019-10-16 17:29:11编辑:auto阅读(1704)

    关于Seminario

    Seminario是GitHub上的一个“使用Seminario方法的工具估算力场参数”的项目。
    我安装的过程出现了很多坑~特此记录。

    安装过程

    1. 在GitHub上下载 Seminario
    2. 打开命令行,进入Seminario所在目录,运行python37 setup.py install(因为我笔记本上装有python3.6和python3.7和python2.7,所以我改了python.exe的命名,大家可以使用python setup.py install)。
    3. 命令行一直处于Downloading https://files.pythonhosted.org/packages/ba/a2/d6a9135efd6b1f7d70b79019a2fb2cd1472fceed979e66deaba64e2b641c/ParmEd-3.2.0.tar.gz#sha256=0c178994af736b16df3c8eaa9c54a0ac98425129c8f0228563acc094e7c6f40f下载状态却一直下不下来!于是手动下载:系统提示的parmed下载链接
    4. parmed下载完成后,打开命令行,进入下载文件所在目录,运行python37 setup.py install(同样大家运行python setup.py install)即可。
    5. 发现错误:error: Microsoft Visual C++ 14.0 is required.请参考我的文章 “Microsoft visual c++ 14.0 is required”错误的解决方法
    6. 再回到Seminario所在目录的命令行,运行python37 setup.py install,终于!成功了!
    7. 按照GitHub的示例运行seminario_ff -f model.fchk -s model.gro -b :1@N-:3@CU :1@ND1-:3@CU :2@NE2-:3@CU,却提示The 'parmed' distribution was not found and is required by Seminario。啊我想哭……
    8. 找了很久原因,百思不得其解,猜测会不会是python3.7的问题?所以我重新在ParmEd、Seminario所在目录的命令行,使用python3.6,分别运行python36 setup.py install
    9. 再次进入Seminario所在目录的命令行,运行seminario_ff -f model.fchk -s model.gro -b :1@N-:3@CU :1@ND1-:3@CU :2@NE2-:3@CU,错误提示变了!变成了OSError: model.gro does not exist
    10. 我欣喜万分!进入了Seminario下面的文件夹examples的目录,打开命令行,再次运行seminario_ff -f model.fchk -s model.gro -b :1@N-:3@CU :1@ND1-:3@CU :2@NE2-:3@CU!谢天谢地!终于成功了……

    感想:
    我心好累……这才只是刚成功安装Seminario……还要去学怎么用……我还只是个宝宝……
    不过为什么python3.7不行呢……?

关键字